using DressAtelierContracts.BindingModels;
using DressAtelierContracts.SearchModels;
using DressAtelierContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierContracts.StorageContracts
{
   public interface IDressStorage
    {
        List<DressViewModel> GetFullList();
        List<DressViewModel> GetFilteredList(DressSearchModel model);
        DressViewModel? GetElement(DressSearchModel model);
        DressViewModel? Insert(DressBindingModel model);
        DressViewModel? Delete(DressBindingModel model);
        DressViewModel? Update(DressBindingModel model);
    }
}
